function C = computeCentroids(I)
max_label = 0;
for(k = 1:size(I,1))
    for(m = 1:size(I,2))
        if( I(k,m) > max_label )
            max_label = I(k,m);
        end;
    end;
end;
centroids = zeros(2,max_label);
num_pixels = zeros(max_label);
for(k = 1:size(I,1))
    for(m = 1:size(I,2))
        if( I(k,m) ~= 0 )
            centroids(1,I(k,m)) = centroids(1,I(k,m)) + m;
            centroids(2,I(k,m)) = centroids(2,I(k,m)) + k;
            num_pixels(I(k,m)) = num_pixels(I(k,m)) + 1;
        end;
    end;
end;
counter = 1;
for(i = 1:size(centroids,2))
    if( num_pixels(i) ~= 0 )
        C(1,counter) = centroids(1,i) / num_pixels(i);
        C(2,counter) = centroids(2,i) / num_pixels(i);
        counter = counter + 1;
    end;
end;
C;