function F = labeling(I)

%Labels all objects
temp = zeros(size(I,1),size(I,2));
C = 0;
L = 0;
U = 0;
label = 1;
for(k = 1:size(I,1))
    for(m = 1:size(I,2))
        C = I(k,m);
        if( C ~= 0 )
            if( k-1 <= size(I,1) & k-1 > 0)
                U = I(k-1,m);
            else
                U = 0;
            end;
            if( m-1 <= size(I,2) & m-1 > 0)
                L = I(k,m-1);
            else
                L = 0;
            end;
            if( C == L )
                temp(k,m) = temp(k,m-1);
            elseif( C == U)
                temp(k,m) = temp(k-1,m);
            else
                temp(k,m) = label;
                label = label + 1;
            end;
        end;
    end;
end;
%Solving equivalences
C_temp = 0;
L_temp = 0;
U_temp = 0;
for(k = 1:size(temp,1))
    for(m = 1:size(temp,2))
        C_temp = temp(k,m);
        if( C_temp ~= 0 )
            if( k-1 <= size(temp,1) & k-1 > 0)
                U_temp = temp(k-1,m);
            else
                U_temp = 0;
            end;
            if( m-1 <= size(temp,2) & m-1 > 0)
                L_temp = temp(k,m-1);
            else
                L_temp = 0;
            end;
            if( U_temp ~= 0 & L_temp ~= 0 & U_temp ~= L_temp )
                mask = temp == (U_temp * ones(size(temp,1),size(temp,2)));
                mask = mask * (L_temp - U_temp);
                temp = temp + mask;
            end;
        end;
    end;
    figure(1), clf, imagesc(temp), colormap(gray)
end;

F = temp;