close all;
clear all;

mean = ones(3,3) * 1/9;
gauss = [ 1 2 1; 2 4 2; 1 2 1] * 1/16; % Approximation 
gauss = fspecial('gaussian',3,1);      % The exact values

N=imread('synthetic_noise.gif');
N=double(N);
figure; image(N); title('Noisy Image'); colormap(gray(256));
figure; image(conv2(N,mean)); title('Mean Filter'); colormap(gray(256));
figure; image(conv2(N,gauss)); title('Gauss Filter'); colormap(gray(256));