close all;
clear all;

gauss = [1 2 1; 2 4 2; 1 2 1] * 1/16;
laplace = [ 0 1 0; 1 -4 1; 0 1 0]; % fspecial('laplacian',0.2);
sobelX = [1 0 -1; 2 0 -2; 1 0 -1] * 1/4;
sobelY = [1 2 1; 0 0 0; -1 -2 -1] * 1/4;

I=imread('synthetic.gif');
I=double(I);
N=imread('synthetic_noise.gif');
N=double(N);
figure; image(I); colormap(gray(256));
%pause;
figure; plot(I(55,:)); title('Row 55 - synthetic.gif'); axis([0,256,-300,300]);
%pause;
hold on; plot(diff(I(55,:)),'r'); pause; plot(diff(diff(I(55,:))),'g');
%pause;
figure; image(N); title('Noisy Image'); colormap(gray(256));
%pause;
figure; plot(N(55,:)); title('Row 55 - synthetic_noise.gif'); axis([0,256,-300,300]);
%pause;
figure; image(abs(conv2(N,sobelX))); title('Sobel X'); colormap(gray(256));
%pause;
figure; image(abs(conv2(N,sobelY))); title('Sobel Y'); colormap(gray(256));
%pause;
figure; image(abs(conv2(N,laplace))); title('Laplace'); colormap(gray(256));
%pause;
N_laplace = conv2(N,laplace);
figure; plot(N_laplace(55,:)); title('Row 55 after Laplace - synthetic_noise.gif'); axis([0,256,-300,300]);
%pause;
N_gauss = conv2(N,gauss);
figure; image(abs(conv2(N_gauss,laplace))); title('LoG'); colormap(gray(256));
%pause;
N_log = conv2(N_gauss,laplace);
figure; plot(N_log(55,:)); title('Row 55 after LoG - synthetic_noise.gif'); axis([0,256,-300,300]);